/*
 *  functions-edit.c
 *		Functions for the commands that edit a text being written.
 *
 *
 *  Copyright (C) 1990	Lysator Computer Club,
 *			Linkoping University,  Sweden
 *
 *  Everyone is granted permission to copy, modify and redistribute
 *  this code, provided the people they give it to can.
 *
 *
 *  Author:	Thomas Bellman
 *		Lysator Computer Club
 *		Linkoping University
 *		Sweden
 *
 *  email:	Bellman@Lysator.LiU.SE
 *
 *
 *  Any opinions expressed in this code are the author's PERSONAL opinions,
 *  and does NOT, repeat NOT, represent any official standpoint of Lysator,
 *  even if so stated.
 */



#include <stdio.h>
#include <time.h>
#include <string.h>

#include <zmalloc.h>
#include <s-string.h>
#include <s-collat-tabs.h>

#include <config.h>
#include "config.h"

#include <kom-errno.h>
#include <kom-types.h>
#include <services.h>

#include "read-line.h"
#include "commands.h"
#include "parser.h"
#include "texts.h"
#include "edit.h"
#include "error.h"
#include "cache.h"
#include "xoutput.h"
#include "quit.h"

#include "internal.h"
#include "cmds.h"


/* This is to emphasize that a function is exported. */
#define Export


/*  ==================================================================  */
/*			    Exported functions				*/


Export  Success
cmd_mark_permanently (String	  argument)

{
    Success			  retval;
    Text_no			  text_to_mark;
    String_size			  error_check;

#define CLEAN_UP()	do	{	s_clear (&argument);	}while (0)

    TOPLOOP_SETJMP();

    if (s_empty (argument))
    {
	xprintf (txts.Have_to_give_mark_no);
    }
    else
    {
	text_to_mark = s_strtol (argument, &error_check,
				 DEFAULT_NUMBER_BASE);
	if (error_check < s_strlen (argument))
	{
	    /*  No, it wasn't a number.  */
	    xprintf ("%s:  ", txts.Unknown_argument);
	    s_puts (argument);
	    newline();
	    RETURN (FAILURE);
	}
	xprintf ("%d", text_to_mark);
    }
    newline();

    retval = kom_mark_text (text_to_mark, 255);		/* 255 is a BUG! */
    if (retval != OK)
    {
	xprintf ("%s.\n", txts.Cant_mark_text);
	RETURN (FAILURE);
    }

    RETURN (OK);

#undef CLEAN_UP
}   /* END: cmd_mark_permanently() */
