/*
 * $Id: malloc.h,v 0.2 1991/09/15 10:14:49 linus Exp $
 * Copyright (C) 1991  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
 *  ansi-include/malloc.h  --  Prototyped version of <malloc.h>
 *
 *
 *  Copyright (C) 1990	Lysator Computer Club,
 *			Linkoping University,  Sweden
 *
 *  Everyone is granted permission to copy, modify and redistribute
 *  this code, provided the people they give it to can.
 *
 *
 *  Author:	Thomas Bellman
 *		Lysator Computer Club
 *		Linkoping University
 *		Sweden
 *
 *  email:	Bellman@Lysator.LiU.SE
 *
 *
 *  Any opinions expressed in this code are the author's PERSONAL opinions,
 *  and does NOT, repeat NOT, represent any official standpoint of Lysator,
 *  even if so stated.
 */


#ifndef  _MALLOC_H_INCLUDED__
#define  _MALLOC_H_INCLUDED__


/* Declare 'size_t' */
#include <stddef.h>


/*  According to the man pages, malloc and the like returns char*,
 *  but on a Sun3 this ought to work, and according to ANSI, they
 *  should return void*.
 */


extern  void *
malloc (size_t	   size);

extern  void *
calloc (size_t	   n,
	size_t	   size);

extern  void *
realloc (void	  * ptr,
	 size_t	    size);

extern  void
free (void *   ptr);

extern  void
mallocmap (void);



#endif  /*  _MALLOC_H_INCLUDED__  */
