/*
 * $Id: stdlib.h,v 0.2 1991/09/15 10:14:22 linus Exp $
 * Copyright (C) 1991  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
 *  ansi-include/stdlib.h  --  Prototyped version of <stdlib.h>
 *
 *
 *  Copyright (C) 1990	Lysator Computer Club,
 *			Linkoping University,  Sweden
 *
 *  Everyone is granted permission to copy, modify and redistribute
 *  this code, provided the people they give it to can.
 *
 *
 *  Author:	Per Cederqvist
 *		Lysator Computer Club
 *		Linkoping University
 *		Sweden
 *
 *  email:	ceder@lysator.liu.se
 *
 *
 *  Any opinions expressed in this code are the author's PERSONAL opinions,
 *  and does NOT, repeat NOT, represent any official standpoint of Lysator,
 *  even if so stated.
 */


#ifndef __STDLIB_H__
#define __STDLIB_H__

#include <stddef.h>		/* Define size_t */


/*
 *  'volatile' is a GCC extension that tells GCC that a function never
 *  returns.
 */

#ifdef __GNUC__
#	define VOLATILE volatile
#else
#	define VOLATILE
#endif


extern VOLATILE void
exit (int status);

extern VOLATILE void
abort (void);


#if defined(__sun__) || defined(__dynix__)
#	define	labs(n)		abs(n)
#else		/* !sun && !dynix */

extern long
labs (long n);

#endif		/* !sun && !dynix */


extern int
abs (int n);

extern long
strtol(const char *str,
       char **ptr,
       int base);

extern long
atol (const char *str);

extern int
atoi (const char *str);

extern  int
rand (void);

extern  void
srand (unsigned int	  seed);

extern  char *
getenv (const char	* name);

extern  int
system(const char *string);

extern  void *
malloc (size_t	   size);

extern  void *
calloc (size_t	   n,
	size_t	   size);

extern  void *
realloc (void	  * ptr,
	 size_t	    size);

extern  void
free (void *   ptr);

#endif   /* __STDLIB_H__ */
