/*
 * $Id: string.h,v 0.2 1991/09/15 10:14:18 linus Exp $
 * Copyright (C) 1991  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
 *  ansi-include/string.h  --  include file for declaring string
 *			       manipulation functions.
 *
 *
 *  Copyright (C) 1990	Lysator Computer Club,
 *			Linkoping University,  Sweden
 *
 *  Everyone is granted permission to copy, modify and redistribute
 *  this code, provided the people they give it to can.
 *
 *
 *  Author:	Thomas Bellman
 *		Lysator Computer Club
 *		Linkoping University
 *		Sweden
 *
 *  email:	Bellman@Lysator.LiU.SE
 */


#ifndef  _STRING_H_IS_HEREBY_INCLUDED__
#define  _STRING_H_IS_HEREBY_INCLUDED__


/* Need to define 'size_t' */
#include <sys/types.h>


extern  char *
strcpy (char *		dest_string,
	const char *	source_string);

extern  char *
strncpy (char *		dest_string,
	const char *	source_string,
	size_t		no_of_chars  );

extern  char *
strcat (char *		dest_string,
	const char *	source_string);

extern  char *
strncat (char *		dest_string,
	 const char *	source_string,
	 size_t		no_of_chars  );

extern  char *
strchr (const char *	str,
	int		ch );

extern  char *
strrchr (const char *	str,
	 int		ch );

extern  char *
strpbrk (const char *	str,
	 const char *	chars);

extern  char *
strstr (const char *	str,
	const char *	search_str);

extern  char *
strtok (char *		str,
	const char *	separators);

extern  char *
strdup (const char *	str);


extern  int
strcmp (const char *	str1,
	const char *	str2);


extern int
strncmp(char * s1, const char * s2, size_t n);


extern  int
strlen (const char *	str);


extern void *
memcpy (void * s1, const void * s2, size_t len);

extern void *
memset (void * s1, int c, size_t len);

extern void *
memchr (void * s, int c, size_t len);


/*
 * extern int
 *	strspn(),
 *	strcspn();
 */


#endif  /* _STRING_H_IS_HEREBY_INCLUDED__ */
