/*
 * $Id: socket.h,v 0.2 1991/09/15 10:15:32 linus Exp $
 * Copyright (C) 1991  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
 *  sys/socket.h
 */

#ifndef _OUR_SYS_SOCKET_H__
#define _OUR_SYS_SOCKET_H__

#include "/usr/include/sys/socket.h"

#include <sys/time.h>


extern int
socket(int domain,
       int type,
       int protocol);

extern int
bind(int s,
     struct sockaddr *name,
     int namelen);

extern int
listen(int s,
       int backlog);

extern int
select(int width,
       fd_set *readfds,
       fd_set *writefds,
       fd_set *exceptfds,
       struct timeval *timeout);

extern int
accept(int s,
       struct sockaddr *addr,
       int *addrlen);

extern int
getpeername(int s,
	    struct sockaddr *name,
	    int *namelen);

extern int
gethostname(char *name,
	    int namelen);


extern int
getsockopt(int s,
	   int level,
	   int optname,
	   char *optval,
	   int *optlen);

extern int
setsockopt(int s,
	   int level,
	   int optname,
	   char *optval,
	   int optlen);


extern int
connect(int s,
	struct sockaddr *name,
	int namelen);


extern int
getsockname(int s,
	    struct sockaddr *name,
	    int *namelen);


#endif

