/*
 * $Id: stdio.h.pre,v 1.2 1991/09/15 10:17:24 linus Exp $
 * Copyright (C) 1991  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/* $Id: stdio.h.pre,v 1.2 1991/09/15 10:17:24 linus Exp $ */

/*
 * Don't edit this file if it is called stdio.h. It is generated from
 * /usr/include/stdio.h, stdio.h.pre, stdio.h.post and Makefile.
 */

#ifndef _STDIO_H_INCLUDED__
#define _STDIO_H_INCLUDED__


#ifdef NULL
#undef NULL			/* Defined by /usr/include/stdio.h */
#endif

/* /usr/include/stdio.h starts here. */

/*	@(#)stdio.h 1.16 89/12/29 SMI; from UCB 1.4 06/30/83	*/

# ifndef FILE
#define	BUFSIZ	1024
#define _SBFSIZ	8
extern	struct	_iobuf {
	int	_cnt;
	unsigned char *_ptr;
	unsigned char *_base;
	int	_bufsiz;
	short	_flag;
	char	_file;		/* should be short */
} _iob[];

#define _IOFBF	0
#define	_IOREAD	01
#define	_IOWRT	02
#define	_IONBF	04
#define	_IOMYBUF	010
#define	_IOEOF	020
#define	_IOERR	040
#define	_IOSTRG	0100
#define	_IOLBF	0200
#define	_IORW	0400
#define	NULL	0
#define	FILE	struct _iobuf
#define	EOF	(-1)

#define	stdin	(&_iob[0])
#define	stdout	(&_iob[1])
#define	stderr	(&_iob[2])

#ifdef lint	/* so that lint likes (void)putc(a,b) */
extern int putc();
extern int getc();
#else
#define	getc(p)		(--(p)->_cnt>=0? ((int)*(p)->_ptr++):_filbuf(p))
#define putc(x, p)	(--(p)->_cnt >= 0 ?\
	(int)(*(p)->_ptr++ = (unsigned char)(x)) :\
	(((p)->_flag & _IOLBF) && -(p)->_cnt < (p)->_bufsiz ?\
		((*(p)->_ptr = (unsigned char)(x)) != '\n' ?\
			(int)(*(p)->_ptr++) :\
			_flsbuf(*(unsigned char *)(p)->_ptr, p)) :\
		_flsbuf((unsigned char)(x), p)))
#endif
#define	getchar()	getc(stdin)
#define	putchar(x)	putc((x),stdout)
#define	feof(p)		(((p)->_flag&_IOEOF)!=0)
#define	ferror(p)	(((p)->_flag&_IOERR)!=0)
#define	fileno(p)	((p)->_file)
#define	clearerr(p)	(void) ((p)->_flag &= ~(_IOERR|_IOEOF))


#define L_ctermid	9
#define L_cuserid	9
#define P_tmpdir	"/usr/tmp/"
#define L_tmpnam	25		/* (sizeof(P_tmpdir) + 15) */
# endif
/*
 * $Id: stdio.h.post,v 1.2 1991/09/15 10:17:28 linus Exp $
 * Copyright (C) 1991  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */

/* /usr/include/stdio.h ends here. */

/*
 *  $Id: stdio.h.post,v 1.2 1991/09/15 10:17:28 linus Exp $
 *
 *  include/ansi/stdio.h  --  Prototyped version of <stdio.h>
 *
 *
 *  The rest of this file is
 *  Copyright (C) 1990	Lysator Computer Club,
 *			Linkoping University,  Sweden
 *
 *  Everyone is granted permission to copy, modify and redistribute
 *  this code, provided the people they give it to can.
 *
 *
 *  Author:	Thomas Bellman
 *		Lysator Computer Club
 *		Linkoping University
 *		Sweden
 *
 *  email:	Bellman@Lysator.LiU.SE
 */



/* ungetc is not a macro in SunOS 4.0.3 or 4.1.1 Rel B. */
extern int
ungetc(int c, FILE *stream);


/* For SunOS 4.0.3 this prohibits warnings for _flsbuf not declared */
extern  int
_flsbuf (unsigned char, FILE *);

extern  int
_filbuf (FILE *);


extern  int
fprintf (FILE		* stream,
	 const char	* format,
	 ...			 );

extern  int
printf (const char	* format,
	...			 );

/*
 *  The Standard says sprintf should return an int, but in SunOS 4
 *  it returns a char*.  I don't know why, and the manual says nothing
 *  about what it is.
 */
extern  char *
sprintf (char		* s,
	 const char	* format,
	 ...			 );


extern  int
vprintf (const char	* format,
	 char		* args	);	/* va_list on Sun-3 + GCC */

extern  int
vfprintf (FILE		* stream,
	  const char	* format,
	  char		* args	);	/* va_list on Sun-3 + GCC */

extern  int
vsprintf (char		* buffer,
	  const char	* format,
	  char		* args	);	/* va_list on Sun-3 + GCC */


extern  int
fscanf (FILE		* stream,
	const char	* format,
	...			 );

extern  int
scanf (const char	* format,
       ...			 );

extern  int
sscanf (const char	* s,
	const char	* format,
	...			 );


extern  FILE *
fopen (const char   * filename,
       const char   * open_type);

extern  FILE *
fdopen (int	      fd,		/* Aronsson was here 26 june 1991 */
        const char  * open_type);

extern int
fclose(FILE *stream);

extern int
fflush(FILE *stream);


extern  int
fputs (const char   * str,
       FILE	    * stream);

int
fread(void *ptr,
      int size,
      int nitems,
      FILE *stream);

int
fwrite(const void *ptr,
       int size,
       int nitems,
       FILE *stream);

#define SEEK_SET 0
#define SEEK_CUR 1
#define SEEK_END 2

extern  int
puts (const char * s);

extern void
rewind(FILE *stream);

extern  void
perror (const char   * message);



/*  ==================================================================	*/
/*			 Operations on files.				*/

int				/* Returns 0 if OK. */
remove(const char *filename);

int				/* Returns 0 if OK. */
rename(const char *old, const char *new);

int setvbuf(FILE *fp, char *buf, int type, int size);

int setbuf(FILE *fp, char *buf);

char *cuserid(char *s);

extern int
fseek(FILE *stream,
      long  offset,
      int   ptrname);

extern long
ftell(FILE *stream);

#endif 				/* _STDIO_H_INCLUDED__ */
